=== debian/changelog ===
tlswrapper (0~20221229-1) unstable; urgency=medium

  * Initial release. (Closes: #1001503)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 29 Dec 2022 18:46:43 +0100
