## tlswrapper 0~20230101

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,13 @@
 CC?=cc
 EMPTYDIR?=/var/lib/tlswrapper/empty
-CFLAGS+=-W -Wall -Os -fPIC -fwrapv -pedantic -I./bearssl/inc -DEMPTYDIR=\"$(EMPTYDIR)\"
-LDFLAGS+=-L./bearssl/build -lbearssl
+CFLAGS+=-W -Wall -Os -fPIC -fwrapv -pedantic -DEMPTYDIR=\"$(EMPTYDIR)\"
+LDFLAGS+=-lbearssl
 DESTDIR?=
 
 BINARIES=tlswrapper
 BINARIES+=tlswrapper-test
 
-all: bearssl $(BINARIES) tlswrapper-tcp tlswrapper-smtp
-
-randombytes.h:
-	(grep -v "randombytes.h" "randombytes.c-01getentropy"; echo "int main() {}";) > tryrandombytes.c
-	[ ! -f randombytes.h ] && $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o tryrandombytes tryrandombytes.c && cat randombytes.h-01getentropy > randombytes.h || :
-	rm -f tryrandombytes.c tryrandombytes
-	(grep -v "randombytes.h" "randombytes.c-02devurandom"; echo "int main() {}";) > tryrandombytes.c
-	[ ! -f randombytes.h ] && $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o tryrandombytes tryrandombytes.c && cat randombytes.h-02devurandom > randombytes.h || :
-	rm -f tryrandombytes.c tryrandombytes
+all: $(BINARIES) tlswrapper-tcp tlswrapper-smtp
 
 alloc.o: alloc.c log.h alloc.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c alloc.c
@@ -35,10 +27,6 @@
 connectioninfo.o: connectioninfo.c strtoip.h strtoport.h porttostr.h \
  iptostr.h log.h connectioninfo.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c connectioninfo.c
-
-crypto_scalarmult_curve25519.o: crypto_scalarmult_curve25519.c \
- crypto_scalarmult_curve25519.h
-	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_scalarmult_curve25519.c
 
 e.o: e.c e.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c e.c
@@ -152,8 +140,7 @@
 tls_cipher.o: tls_cipher.c str.h log.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_cipher.c
 
-tls_crypto_scalarmult.o: tls_crypto_scalarmult.c tls.h \
- crypto_scalarmult_curve25519.h
+tls_crypto_scalarmult.o: tls_crypto_scalarmult.c tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_crypto_scalarmult.c
 
 tls_ecdhe.o: tls_ecdhe.c str.h tls.h
@@ -210,7 +197,6 @@
 OBJECTS+=case.o
 OBJECTS+=conn.o
 OBJECTS+=connectioninfo.o
-OBJECTS+=crypto_scalarmult_curve25519.o
 OBJECTS+=e.o
 OBJECTS+=fixname.o
 OBJECTS+=fixpath.o
@@ -267,12 +253,6 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS)
 
 
-bearssl:
-	echo 'int main(){}' > trybearssl.c
-	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o trybearssl trybearssl.c || (sh bearssl.sh; cd bearssl; make; rm build/*.so; )
-	rm -f trybearssl.c trybearssl
-	mkdir -p bearssl/inc
-
 tlswrapper-tcp: tlswrapper
 	ln -s tlswrapper tlswrapper-tcp
 
@@ -285,7 +265,7 @@
 	install -D -m 0755 tlswrapper-smtp $(DESTDIR)/usr/bin/tlswrapper-smtp
 	install -d -m 0755 $(DESTDIR)/$(EMPTYDIR)
 
-test: bearssl $(BINARIES) tlswrapper-tcp
+test: $(BINARIES) tlswrapper-tcp
 	sh runtest.sh test-cipher.sh test-cipher.out test-cipher.exp
 	sh runtest.sh test-ephemeral.sh test-ephemeral.out test-ephemeral.exp
 	sh runtest.sh test-options.sh test-options.out test-options.exp
@@ -297,5 +277,4 @@
 
 clean:
 	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp
-	rm -f randombytes.h
-
+
