=== debian/changelog ===
tlswrapper (0~20230101-1) unstable; urgency=medium

  * New upstream version 20230101
  * d/control: bump Standards-Version: 4.6.2, no changes
  * d/control: homepage url update
  * d/copyright: source url update
  * d/copyright: bump copyright year
  * d/copyright: CC0 is part of /usr/share/common-licenses/, removed complete
    text and used pointer to /usr/share/common-licenses/CC0-1.0
  * d/rules: added override_dh_auto_test, test is executed from autopkgtest

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 18 Jan 2023 18:51:15 +0100
