=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tlswrapper
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: net
-Homepage: https://mojzis.com/software/tlswrapper
+Homepage: https://github.com/janmojzis/tlswrapper
 Build-Depends: debhelper-compat (= 13),
                libbearssl-dev,
 Vcs-Git: https://salsa.debian.org/janmojzis/tlswrapper.git
