=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# skip the test, test is executed from autopkgtest
override_dh_auto_test:

%:
	dh $@
