=== debian/tests/control ===
Tests: 00-test
Depends: build-essential,
         libbearssl-dev,
         tlswrapper,
Restrictions: isolation-container, needs-root, allow-stderr

Tests: 01-keys
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 02-snikeys
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 03-snikeys
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 04-ephemeral
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 05-sigalgs
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 06-ciphers
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 07-auth
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 07-authrsa
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 08-auth-commonName
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 09-auth-emailAddress
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 10-emptypem
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 11-longpem
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 12-oompem
Depends: daemontools,
         openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 20-download
Depends: daemontools,
         openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 21-upload
Depends: daemontools,
         openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 30-tcp-download
Depends: daemontools,
         openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 31-tcp-upload
Depends: daemontools,
         openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 40-proxy-protocol1
Depends: curl,
         daemontools,
         nginx,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 41-proxy-protocol1
Depends: curl,
         daemontools,
         nginx,
         tlswrapper,
         ucspi-tcp-ipv6,
Restrictions: isolation-container, needs-root

#Tests: 44-proxy-protocol1
#Depends: curl,
#         daemontools,
#         nginx,
#         tlswrapper,
#         ucspi-tcp,
#Restrictions: isolation-container, needs-root
#
#Tests: 45-proxy-protocol1
#Depends: curl,
#         daemontools,
#         nginx,
