=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/tlswrapper-$1\.tar\.gz/,\
uversionmangle=s/^/0~/,\
pgpsigurlmangle=s/archive\/.+\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/janmojzis/tlswrapper/tags .*/(\d\S+)\.tar\.gz
