=== debian/changelog ===
tlswrapper (0~20241027-1) unstable; urgency=medium

  * New upstream version 20241027
  * d/p/0001-add-support-for-lib25519.patch remove
  * d/p/0002-man-tlswrapper.1-instruct-man-1-to-run-the-tbl-prepr.patch remove
  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/rules: remove DEB_LDFLAGS_MAINT_APPEND = -l25519
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 27 Oct 2024 12:48:13 +0100

tlswrapper (0~20230101-2) unstable; urgency=medium

  * d/p/0001-add-support-for-lib25519.patch backport lib25519 support
  * d/p/0002-man-tlswrapper.1-instruct-man-1-to-run-the-tbl-prepr.patch backport
    manpage fix
  * d/copyright: bump copyright years
  * d/gbp.conf: add [pull] track-missing = True
  * d/gbp.conf: debian-branch = main

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 20 Apr 2024 08:27:02 +0200
