=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: tlswrapper
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: net
 Homepage: https://github.com/janmojzis/tlswrapper
 Build-Depends: debhelper-compat (= 13),
+               lib25519-dev,
                libbearssl-dev,
 Vcs-Git: https://salsa.debian.org/janmojzis/tlswrapper.git
 Vcs-Browser: https://salsa.debian.org/janmojzis/tlswrapper
