## tlswrapper 0~20241101

=== Makefile ===
--- 
+++ 
@@ -56,23 +56,26 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c log.c
 
 main_tlswrapper.o: main_tlswrapper.c blocking.h pipe.h log.h e.h jail.h \
- strtonum.h randombytes.h alloc.h connectioninfo.h proxyprotocol.h \
- iptostr.h writeall.h fixname.h fixpath.h str.h tls.h open.h main.h
+ strtonum.h randombytes.h haslibrandombytes.h alloc.h connectioninfo.h \
+ proxyprotocol.h iptostr.h writeall.h fixname.h fixpath.h str.h tls.h \
+ open.h main.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper.c
 
-main_tlswrapper_smtp.o: main_tlswrapper_smtp.c randombytes.h log.h \
- iptostr.h connectioninfo.h jail.h writeall.h buffer.h stralloc.h open.h \
- e.h tls.h blocking.h resolvehost.h hostport.h conn.h case.h \
- timeoutwrite.h timeoutread.h strtonum.h main.h
+main_tlswrapper_smtp.o: main_tlswrapper_smtp.c randombytes.h \
+ haslibrandombytes.h log.h iptostr.h connectioninfo.h jail.h writeall.h \
+ buffer.h stralloc.h open.h e.h tls.h blocking.h resolvehost.h hostport.h \
+ conn.h case.h timeoutwrite.h timeoutread.h strtonum.h main.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper_smtp.c
 
-main_tlswrapper_tcp.o: main_tlswrapper_tcp.c randombytes.h iptostr.h \
- proxyprotocol.h connectioninfo.h resolvehost.h strtoport.h socket.h e.h \
- log.h conn.h str.h tls.h jail.h randommod.h strtonum.h main.h
+main_tlswrapper_tcp.o: main_tlswrapper_tcp.c randombytes.h \
+ haslibrandombytes.h iptostr.h proxyprotocol.h connectioninfo.h \
+ resolvehost.h strtoport.h socket.h e.h log.h conn.h str.h tls.h jail.h \
+ randommod.h strtonum.h main.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper_tcp.c
 
 main_tlswrapper_test.o: main_tlswrapper_test.c e.h log.h randombytes.h \
- fsyncfile.h writeall.h str.h tls.h open.h blocking.h strtonum.h main.h
+ haslibrandombytes.h fsyncfile.h writeall.h str.h tls.h open.h blocking.h \
+ strtonum.h main.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper_test.c
 
 milliseconds.o: milliseconds.c milliseconds.h
@@ -94,10 +97,10 @@
  jail.h iptostr.h strtoip.h strtoport.h porttostr.h proxyprotocol.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c proxyprotocol.c
 
-randombytes.o: randombytes.c randombytes.h
+randombytes.o: randombytes.c haslibrandombytes.h randombytes.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c randombytes.c
 
-randommod.o: randommod.c randombytes.h randommod.h
+randommod.o: randommod.c randombytes.h haslibrandombytes.h randommod.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c randommod.c
 
 readall.o: readall.c e.h readall.h
@@ -155,28 +158,31 @@
 tls_error.o: tls_error.c tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_error.c
 
-tls_keyjail.o: tls_keyjail.c pipe.h randombytes.h log.h jail.h fixpath.h \
- tls.h
+tls_keyjail.o: tls_keyjail.c pipe.h randombytes.h haslibrandombytes.h \
+ log.h jail.h fixpath.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_keyjail.c
 
 tls_keytype.o: tls_keytype.c tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_keytype.c
 
-tls_pem.o: tls_pem.c alloc.h readall.h randombytes.h log.h open.h tls.h
+tls_pem.o: tls_pem.c alloc.h readall.h randombytes.h haslibrandombytes.h \
+ log.h open.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pem.c
 
-tls_pipe.o: tls_pipe.c tls.h pipe.h randombytes.h alloc.h str.h log.h
+tls_pipe.o: tls_pipe.c tls.h pipe.h randombytes.h haslibrandombytes.h \
+ alloc.h str.h log.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pipe.c
 
-tls_profile.o: tls_profile.c log.h randombytes.h e.h str.h stralloc.h \
- fixpath.h tls.h
+tls_profile.o: tls_profile.c log.h randombytes.h haslibrandombytes.h e.h \
+ str.h stralloc.h fixpath.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_profile.c
 
-tls_pubcrt.o: tls_pubcrt.c randombytes.h alloc.h log.h stralloc.h str.h \
+tls_pubcrt.o: tls_pubcrt.c randombytes.h haslibrandombytes.h alloc.h \
+ log.h stralloc.h str.h tls.h
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pubcrt.c
+
+tls_seccrt.o: tls_seccrt.c log.h randombytes.h haslibrandombytes.h str.h \
  tls.h
-	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pubcrt.c
-
-tls_seccrt.o: tls_seccrt.c log.h randombytes.h str.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_seccrt.c
 
 tls_version.o: tls_version.c str.h tls.h
@@ -246,24 +252,30 @@
 OBJECTS+=tls_version.o
 OBJECTS+=writeall.o
 
-tlswrapper: tlswrapper.o $(OBJECTS) lib25519.lib
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib`
-
-tlswrapper-test: tlswrapper-test.o $(OBJECTS) lib25519.lib
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib`
-
+tlswrapper: tlswrapper.o $(OBJECTS) lib25519.lib librandombytes.lib
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib` `cat librandombytes.lib`
+
+tlswrapper-test: tlswrapper-test.o $(OBJECTS) lib25519.lib librandombytes.lib
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib` `cat librandombytes.lib`
+
+
+tlswrapper-tcp: tlswrapper
+	ln -s tlswrapper tlswrapper-tcp
+
+tlswrapper-smtp: tlswrapper
+	ln -s tlswrapper tlswrapper-smtp
 
 haslib25519.h: trylib25519.sh
 	env CC=$(CC) ./trylib25519.sh && echo '#define HASLIB25519 1' > haslib25519.h || true > haslib25519.h
 
+haslibrandombytes.h: trylibrandombytes.sh
+	env CC=$(CC) ./trylibrandombytes.sh && echo '#define HASLIBRANDOMBYTES 1' > haslibrandombytes.h || true > haslibrandombytes.h
+
 lib25519.lib: trylib25519.sh
 	env CC=$(CC) ./trylib25519.sh && echo '-l25519' > lib25519.lib || true > lib25519.lib
 
-tlswrapper-tcp: tlswrapper
-	ln -s tlswrapper tlswrapper-tcp
-
-tlswrapper-smtp: tlswrapper
-	ln -s tlswrapper tlswrapper-smtp
+librandombytes.lib: trylibrandombytes.sh
+	env CC=$(CC) ./trylibrandombytes.sh && echo '-lrandombytes' > librandombytes.lib || true > librandombytes.lib
 
 install: $(BINARIES) tlswrapper-tcp
 	install -D -m 0755 tlswrapper $(DESTDIR)/usr/bin/tlswrapper
@@ -282,5 +294,5 @@
 	sh runtest.sh test-okcert.sh test-okcert.out test-okcert.exp
 
 clean:
-	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp haslib25519.h lib25519.lib
-
+	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp haslib25519.h lib25519.lib haslibrandombytes.h librandombytes.lib
+
