=== debian/changelog ===
tlswrapper (0~20241101-1) unstable; urgency=medium

  * New upstream version 20241101
  * d/tests: treat the condition when the log file is missing
  * d/control: add B-D: librandombytes-dev
  * d/t/control: add Depends lib25519-dev, librandombytes-dev for 00-test
  * d/gbp.conf: add upstream-signatures = on

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 01 Nov 2024 13:05:07 +0100
