=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                lib25519-dev,
                libbearssl-dev,
+               librandombytes-dev,
 Vcs-Git: https://salsa.debian.org/janmojzis/tlswrapper.git
 Vcs-Browser: https://salsa.debian.org/janmojzis/tlswrapper
 Rules-Requires-Root: no
