## tlswrapper 0~20250126

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,12 @@
 EMPTYDIR?=/var/lib/tlswrapper/empty
 CFLAGS+=-W -Wall -Os -fPIC -fwrapv -pedantic -DEMPTYDIR=\"$(EMPTYDIR)\"
 LDFLAGS+=-lbearssl
+CPPFLAGS?=
+
 DESTDIR?=
+PREFIX?=/usr/local
+
+INSTALL?=install
 
 BINARIES=tlswrapper
 BINARIES+=tlswrapper-test
@@ -97,7 +102,7 @@
  jail.h iptostr.h strtoip.h strtoport.h porttostr.h proxyprotocol.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c proxyprotocol.c
 
-randombytes.o: randombytes.c haslibrandombytes.h randombytes.h
+randombytes.o: randombytes.c randombytes.h haslibrandombytes.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c randombytes.c
 
 randommod.o: randommod.c randombytes.h haslibrandombytes.h randommod.h
@@ -252,12 +257,24 @@
 OBJECTS+=tls_version.o
 OBJECTS+=writeall.o
 
-tlswrapper: tlswrapper.o $(OBJECTS) lib25519.lib librandombytes.lib
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib` `cat librandombytes.lib`
-
-tlswrapper-test: tlswrapper-test.o $(OBJECTS) lib25519.lib librandombytes.lib
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib` `cat librandombytes.lib`
-
+tlswrapper: tlswrapper.o $(OBJECTS) libs
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS) `cat libs`
+
+tlswrapper-test: tlswrapper-test.o $(OBJECTS) libs
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS) `cat libs`
+
+
+haslib25519.h: tryfeature.sh haslib25519.c libs
+	env CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) `cat libs`" ./tryfeature.sh haslib25519.c > haslib25519.h
+	cat haslib25519.h
+
+haslibrandombytes.h: tryfeature.sh haslibrandombytes.c libs
+	env CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) `cat libs`" ./tryfeature.sh haslibrandombytes.c > haslibrandombytes.h
+	cat haslibrandombytes.h
+
+libs: trylibs.sh
+	env CC="$(CC)" ./trylibs.sh -lsocket -lnsl -lrandombytes -l25519 >libs 2>libs.log
+	cat libs
 
 tlswrapper-tcp: tlswrapper
 	ln -s tlswrapper tlswrapper-tcp
@@ -265,25 +282,18 @@
 tlswrapper-smtp: tlswrapper
 	ln -s tlswrapper tlswrapper-smtp
 
-haslib25519.h: trylib25519.sh
-	env CC=$(CC) ./trylib25519.sh && echo '#define HASLIB25519 1' > haslib25519.h || true > haslib25519.h
-
-haslibrandombytes.h: trylibrandombytes.sh
-	env CC=$(CC) ./trylibrandombytes.sh && echo '#define HASLIBRANDOMBYTES 1' > haslibrandombytes.h || true > haslibrandombytes.h
-
-lib25519.lib: trylib25519.sh
-	env CC=$(CC) ./trylib25519.sh && echo '-l25519' > lib25519.lib || true > lib25519.lib
-
-librandombytes.lib: trylibrandombytes.sh
-	env CC=$(CC) ./trylibrandombytes.sh && echo '-lrandombytes' > librandombytes.lib || true > librandombytes.lib
-
-install: $(BINARIES) tlswrapper-tcp
-	install -D -m 0755 tlswrapper $(DESTDIR)/usr/bin/tlswrapper
-	install -D -m 0755 tlswrapper-tcp $(DESTDIR)/usr/bin/tlswrapper-tcp
-	install -D -m 0755 tlswrapper-smtp $(DESTDIR)/usr/bin/tlswrapper-smtp
-	install -d -m 0755 $(DESTDIR)/$(EMPTYDIR)
-
-test: $(BINARIES) tlswrapper-tcp
+install: $(BINARIES) tlswrapper-tcp tlswrapper-smtp
+	mkdir -p $(DESTDIR)$(PREFIX)/bin
+	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
+	mkdir -p $(DESTDIR)$(PREFIX)/$(EMPTYDIR)
+	$(INSTALL) -m 0755 tlswrapper $(DESTDIR)$(PREFIX)/bin/tlswrapper
+	$(INSTALL) -m 0755 tlswrapper-tcp $(DESTDIR)$(PREFIX)/bin/tlswrapper-tcp
+	$(INSTALL) -m 0755 tlswrapper-smtp $(DESTDIR)$(PREFIX)/bin/tlswrapper-smtp
+	$(INSTALL) -m 0644 man/tlswrapper.1 $(DESTDIR)$(PREFIX)/share/man/man1/tlswrapper.1
+	$(INSTALL) -m 0644 man/tlswrapper-smtp.1 $(DESTDIR)$(PREFIX)/share/man/man1/tlswrapper-smtp.1
+	$(INSTALL) -m 0644 man/tlswrapper-tcp.1 $(DESTDIR)$(PREFIX)/share/man/man1/tlswrapper-tcp.1
+
+test: $(BINARIES) tlswrapper-tcp tlswrapper-smtp
 	sh runtest.sh test-cipher.sh test-cipher.out test-cipher.exp
 	sh runtest.sh test-ephemeral.sh test-ephemeral.out test-ephemeral.exp
 	sh runtest.sh test-options.sh test-options.out test-options.exp
@@ -294,5 +304,5 @@
 	sh runtest.sh test-okcert.sh test-okcert.out test-okcert.exp
 
 clean:
-	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp haslib25519.h lib25519.lib haslibrandombytes.h librandombytes.lib
-
+	rm -f *.log *.o *.out $(BINARIES) libs tlswrapper-tcp tlswrapper-smtp has*.h
+
