=== debian/changelog ===
tlswrapper (0~20250126-1) unstable; urgency=medium

  * New upstream version 20250126
  * d/tests: add short sleep to give tcpserver time to start
  * d/watch: update, use more generic d/watch
  * d/copyright: bump my copyright year
  * d/{control,copyright}: update my email to "janmojzis@debian.org"
  * d/rules: skip auto-install

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 26 Jan 2025 13:07:42 +0100
