=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: tlswrapper
-Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
+Maintainer: Jan Mojžíš <janmojzis@debian.org>
 Priority: optional
 Standards-Version: 4.7.0
 Section: net
