=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Tests: 00-test
 Depends: build-essential,
+         lib25519-dev,
          libbearssl-dev,
+         librandombytes-dev,
          tlswrapper,
 Restrictions: isolation-container, needs-root, allow-stderr
 
@@ -137,5 +139,3 @@
 #
 #Tests: 45-proxy-protocol1
 #Depends: curl,
-#         daemontools,
-#         nginx,
