=== testcerts/Makefile ===
days: createcerts.sh ca.sh server.sh client.sh
	sh createcerts.sh

clean:
	rm -f *.pem days
