=== debian/changelog ===
tlswrapper (0~20251001-1) unstable; urgency=medium

  * New upstream version 20251001
    - relicensed under CC0-1.0 OR 0BSD OR MIT-0 OR MIT
  * d/copyright: update license to CC0-1.0 OR 0BSD OR MIT-0 OR MIT
  * d/gbp.conf: upstream-branch = upstream/latest
  * d/control: remove Rules-Requires-Root: no
  * d/salsa-ci.yml: add

 -- Jan Mojžíš <janmojzis@debian.org>  Wed, 01 Oct 2025 17:00:39 +0200

tlswrapper (0~20250201-2) unstable; urgency=medium

  * d/watch: rewrite to version 5, use Github uscan-template
  * d/upstream/signing-key.asc: update, add janmojzis@debian.org email
  * d/control: bump Standards-Version: 4.7.2, no changes
  * d/control: update Vcs-{Git,Browser} https://salsa.debian.org/debian/...

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 13 Sep 2025 20:20:11 +0200
