=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: tlswrapper
 Maintainer: Jan Mojžíš <janmojzis@debian.org>
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: net
 Homepage: https://github.com/janmojzis/tlswrapper
-Build-Depends: debhelper-compat (= 13),
-               lib25519-dev,
-               libbearssl-dev,
-               librandombytes-dev,
-Vcs-Git: https://salsa.debian.org/janmojzis/tlswrapper.git
-Vcs-Browser: https://salsa.debian.org/janmojzis/tlswrapper
-Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
+ lib25519-dev,
+ libbearssl-dev,
+ librandombytes-dev,
+Vcs-Git: https://salsa.debian.org/debian/tlswrapper.git
+Vcs-Browser: https://salsa.debian.org/debian/tlswrapper
 
 Package: tlswrapper
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Architecture: any
 Description: TLS encryption wrapper
  The tlswrapper is an TLS encryption wrapper between remote client and
