=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 
 # skip the test, test is executed from autopkgtest
 override_dh_auto_test:
+	true
+
+# skip auto install
+override_dh_auto_install:
+	true
 
 %:
 	dh $@
